---
name: Bug Report
about: Submit a bug report
labels: "bug"
---

<!--
  If you're new to mypy and you're not sure whether what you're experiencing is a mypy bug, please see the "Question and Help" form
  instead.
  Please also consider:

  - checking our common issues page: https://mypy.readthedocs.io/en/stable/common_issues.html
  - searching our issue tracker: https://github.com/python/mypy/issues to see if
    it's already been reported
  - asking on gitter chat: https://gitter.im/python/typing
-->

**Bug Report**

<!--
Note: If the problem you are reporting is about a specific library function, then the typeshed tracker is better suited
for this report: https://github.com/python/typeshed/issues
-->

(A clear and concise description of what the bug is.)

**To Reproduce**

(Write your steps here:)

1. Step 1...
2. Step 2...
3. Step 3...

**Expected Behavior**

<!--
  How did you expect your project to behave?
  It’s fine if you’re not sure your understanding is correct.
  Write down what you thought would happen. If you just expected no errors, you can delete this section.
-->

(Write what you thought would happen.)

**Actual Behavior**

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
-->

(Write what happened.)

**Your Environment**

<!-- Include as many relevant details about the environment you experienced the bug in -->

- Mypy version used:
- Mypy command-line flags:
- Mypy configuration options from `mypy.ini` (and other config files):
- Python version used:
- Operating system and version:

<!--
You can freely edit this text, please remove all the lines
you believe are unnecessary.
-->
